This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 993625 - Some asset editors have different menu
Some asset editors have different menu
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ---
: 6.2.0
Assigned To: Kris Verlaenen
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 05:58 EDT by Sona Mala
Modified: 2015-12-08 10:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Data modeler editor (71.27 KB, image/png)
2013-08-06 05:58 EDT, Sona Mala
no flags Details
Enumeration editor (45.88 KB, image/png)
2013-08-06 05:58 EDT, Sona Mala
no flags Details
BPMN2 editor (82.77 KB, image/png)
2013-08-06 05:59 EDT, Sona Mala
no flags Details
Form Builder editor (74.46 KB, image/png)
2013-08-06 06:01 EDT, Sona Mala
no flags Details
Project editor (53.01 KB, image/png)
2013-08-06 06:02 EDT, Sona Mala
no flags Details

  None (edit)
Description Sona Mala 2013-08-06 05:58:19 EDT
Created attachment 783253 [details]
Data modeler editor

Description of problem:
If you compare attached screenshots for different editors you find out that different editor contains different File menu. 


Version-Release number of selected component (if applicable):
6.0.0.CR1

How reproducible:


Steps to Reproduce:
1. open BPMN2 process
2. open Enumeration
3. open Form Buider
4. open Project Explorer
5. open Data Modeler

Actual results:
BPMN2 process - designer contains button in toolbar, which groups Save and Delete operation
Enumeration - all file operation is represented by own button in active tab (closed to "X" button)
Form Builder - contains just Save button in the own tab menu
Project Explorer - menu File in active tab contains only one operation "Save"
Data Modeler - menu Data Modeler in active tab contains 'new object', 'Save'

Expected results:
All these editors should implements same GUI interface for basic operations. User should know where finds these operation in all assets, not just in one.

I think that File operation as "New Item", "Delete" ("Copy", "Rename") should be a part of Project Explorer/File Explorer, because these operation are independent on asset. I hope that it is just about File System. Of course, this means that project/file explorer needs some mechanism how select particular file(s) (checkboxes, mark element as selected (CTRL+click on element), etc.)

The implementation of the operation Save can be different for a different asset, but still all assets should be able to save. I think that this button should be in active tab (same position as in Enumeration). I hope that this should be resolved by the inheritance of super class - Editor (Panel), which contains a default implementation of operation save and each editor can override this method.

Of course, it is ok, if asset has own toolbar (like designer, data modeler), which contains operation save. The main idea is that there exists one approach which is same for all editors. 




Additional info:
Comment 1 Sona Mala 2013-08-06 05:58:46 EDT
Created attachment 783254 [details]
Enumeration editor
Comment 2 Sona Mala 2013-08-06 05:59:27 EDT
Created attachment 783255 [details]
BPMN2 editor
Comment 3 Sona Mala 2013-08-06 06:01:20 EDT
Created attachment 783256 [details]
Form Builder editor
Comment 4 Sona Mala 2013-08-06 06:02:28 EDT
Created attachment 783257 [details]
Project editor
Comment 5 manstis 2013-09-06 13:35:36 EDT
Tony, could you please ensure Project Editor is consistent with the Enumeration Editor (which has the same menus as all drools-wb editors) - or at least the menu items it needs, but laid out the same (i.e. CRUD are not in a drop-down). Once you're done (and commented your commits on this ticket) please re-assign to one of the other parties. Thanks.
Comment 9 Toni Rikkola 2013-11-28 03:53:05 EST
The default look for the Drools side is not what the image for Enum editor has, except we have spaces between the menu items.

Passing this to Kris.
Comment 10 Lukáš Petrovický 2014-02-04 12:50:39 EST
QE considers this optional for 6.0.1.
Comment 12 Jiri Locker 2015-12-08 09:41:35 EST
Fixed in 6.2.0.GA. All mentioned asset types use unified toolbar style.

Note You need to log in before you can comment on or make changes to this bug.